Summary:       Read/Write YAML files with as little code as possible
Name:          perl-YAML-Tiny
Version:       1.73
Release:       5%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/YAML-Tiny
Source0:       https://cpan.metacpan.org/modules/by-module/YAML/YAML-Tiny-%{version}.tar.gz

BuildRequires: coreutils findutils make
BuildRequires: perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(B) perl(Carp)
BuildRequires: perl(Exporter) perl(Fcntl) perl(Scalar::Util) perl(strict) perl(warnings)
BuildRequires: perl(base) perl(blib) perl(File::Basename) perl(File::Find) perl(File::Spec)
BuildRequires: perl(File::Spec::Functions) perl(File::Temp) perl(Getopt::Long) perl(IO::Dir) perl(JSON::PP)
BuildRequires: perl(lib) perl(List::Util) perl(Test::More) perl(utf8) perl(vars) perl(CPAN::Meta)
Requires:      perl(Carp) perl(Exporter) perl(Fcntl) perl(Scalar::Util)
BuildArch:     noarch

%description
YAML::Tiny is a Perl class for reading and writing YAML-style files, written with as little code as
possible, reducing load time and memory overhead.

%prep
%autosetup -n YAML-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/YAML/
%{_mandir}/man3/YAML::Tiny.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.73-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.73-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.73-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.73-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 1.73-1
- initial build
